Subject: FVWM: Pager improvement suggestion

From: "Saku Sammakko" <[email-masked]>
Date: Fri, 16 Aug 2002 12:02:45 +0000

Hi

A humble suggestion for pager:

I use pager when working with pictures as one large virtual desktop, that I 
scroll around. As I use very large windows, it is useless to only have 
window names in the pager window. It would be a nice feature to have, 
besides window name, a rough bitmap of window content in the small pager 
window windows.

Regards,
Tatu

_________________________________________________________________
Join the world’s largest e-mail service with MSN Hotmail. 
http://www.hotmail.com

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Sat, 17 Aug 2002 01:58:44 +0200

> besides window name, a rough bitmap of window content in the small pager 

I'm afrai, but that feature cannot be written in X in a fashion
that would be actually usable.  When a window is not currently
visible, its contents may not be anywhere in memory, so the pager
cannot find out what to draw in the mini window.  And even if the
window is on screen, this would need ridiculous amounts of memory 
and take so long to update that nobody would use it.  I'm sorry to
say this, but X simply doesn't provide an interface for background
drawing.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Cameron Simpson <[email-masked]>
Date: Sat, 17 Aug 2002 15:15:18 +1000

On 01:58 17 Aug 2002, Dominik Vogt <[email-masked]> wrote:
| On Fri, Aug 16, 2002 at 12:02:45PM +0000, Saku Sammakko wrote:
| > A humble suggestion for pager:
| > [... app thumbnails in pager ...]
| I'm afrai, but that feature cannot be written in X in a fashion
| that would be actually usable.  When a window is not currently
| visible, its contents may not be anywhere in memory, so the pager
| cannot find out what to draw in the mini window.  And even if the
| window is on screen, this would need ridiculous amounts of memory 
| and take so long to update that nobody would use it.  I'm sorry to
| say this, but X simply doesn't provide an interface for background
| drawing.

I think E (or Evolution? I forget) has such a pager.
You could probably snapshot things on desktop switches, while they're
visible. It would mean the thumbnails weren't "live", but it would work
pretty well. It would be rather expensive - E has never been put off by such
things :-) Needless to say I prefer FVWM.
-- 
Cameron Simpson, DoD#743        [email-masked]    http://www.zip.com.au/~cs/

Forty years from now nursing homes will be filled with demented hackers,
studying their blank laptop screens nicely placed on knitted quilts to keep
their knees warm.	- K. Mitchum
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Erik Steffl <[email-masked]>
Date: Fri, 16 Aug 2002 22:50:39 -0700

> I think E (or Evolution? I forget) has such a pager.

  yes, enlightenment

  I just started E and it seems to be updated with small delay
(seconds), quite impressive. Another nice (as in good looking, not sure
how useful it is) feature is the zooming of the window in pager when the
mouse is over it.

	erik

---

From: Marcus Lundblad <[email-masked]>
Date: Sat, 17 Aug 2002 11:12:35 +0200 (CEST)

> how useful it is) feature is the zooming of the window in pager when the

I guess you would have to ave the conent of a page when switching pages
and use that as the representation, so that only the current page is more
"live"

And the current page would be updated with some interval, but the question
is. But doing screenshots using imort is quite time consuming, so maybe
another aproach is needed, like only updateing some of the windows each
time...

---

From: Tomas Ogren <[email-masked]>
Date: Sat, 17 Aug 2002 13:34:16 +0200

> another aproach is needed, like only updateing some of the windows each

The Gnome 1.x pager does incremental "screenshot" line by line at a small
delay between each screen line..

/Tomas
-- 
Tomas Ögren, [email-masked], http://www.ing.umu.se/~stric/
|- Student at Computing Science, University of Umeå
`- Sysadmin at {cs,ing,acc}.umu.se
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 19 Aug 2002 11:08:26 +0200

> delay between each screen line..

And what does it do for not viewable pages?

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, mail: [email-masked], phone: 0721/91374-382
Schlund + Partner AG, Erbprinzenstr. 4-12, D-76133 Karlsruhe
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Tomas Ogren <[email-masked]>
Date: Sat, 24 Aug 2002 12:23:22 +0200

> And what does it do for not viewable pages?

Nothing.. until you view those pages..

/Tomas